OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_GraphCounter Class Reference

A GraphCounter computes values to be sorted with the help of
a Graph. I.E. not from a Signature
The default GraphCounter works with an Applied Selection (a
SelectDeduct), the value is the count of selected entities
from each input entities)
.

`#include <IFSelect_GraphCounter.hxx>`

Inheritance diagram for IFSelect_GraphCounter:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_GraphCounter (const Standard_Boolean withmap=Standard_True, const Standard_Boolean withlist=Standard_False)
| Creates a GraphCounter, without applied selection .
Standard_EXPORT Handle_IFSelect_SelectDeduct | Applied () const
| Returns the applied selection .
Standard_EXPORT void | SetApplied (const Handle(IFSelect_SelectDeduct)&sel)
| Sets a new applied selection .
virtual Standard_EXPORT void | AddWithGraph (const Handle(TColStd_HSequenceOfTransient)&list, const Interface_Graph &graph)
| Adds a list of entities in the context given by the graph Default takes the count of entities selected by the applied selection, when it is given each entity of the list Can be redefined .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IFSelect_SelectDeduct | theapplied

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_GraphCounter::IFSelect_GraphCounter | ( | const Standard_Boolean | withmap = `Standard_True`,
|  | const Standard_Boolean | withlist = `Standard_False`
| ) |

## Member Function Documentation

virtual Standard_EXPORT void IFSelect_GraphCounter::AddWithGraph | ( | const Handle(TColStd_HSequenceOfTransient)& | list,
|  | const Interface_Graph & | graph
| ) | `[virtual]`

| Reimplemented from IFSelect_SignCounter.

Standard_EXPORT Handle_IFSelect_SelectDeduct IFSelect_GraphCounter::Applied | ( |  | ) | const

Standard_EXPORT const IFSelect_GraphCounter::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SignCounter.

Standard_EXPORT void IFSelect_GraphCounter::SetApplied | ( | const Handle(IFSelect_SelectDeduct)& | sel | ) |

## Field Documentation

Handle_IFSelect_SelectDeduct IFSelect_GraphCounter::theapplied`[private]`

The documentation for this class was generated from the following file:

- IFSelect_GraphCounter.hxx